import m from "mithril"

const Questionnaire = {
    current: {},
    list: [],
    loading: false,
    fetch: function(id) {
        Questionnaire.loading = true
        m.request({
            url: "http://api.questionnaire.dev/v1/questionnaires/" + id,
            method: "GET"
        })
        .then(function(res) {
            Questionnaire.current = res
            Questionnaire.loading = false
        })
    },
    loadList: function() {
        Questionnaire.loading = true
        m.request({
            url: "http://api.questionnaire.dev/v1/questionnaires",
            method: "GET"
        })
        .then(function(res) {
            Questionnaire.list = res.data
            Questionnaire.loading = false
        })
    }
}

export default Questionnaire
